boost::geometry::detail::partition::partition_one_range< Dimension, Box, OverlapsPolicy, ExpandPolicy, VisitBoxPolicy > Class Template Reference

List of all members.

## Static Public Member Functions

template<typename Policy , typename IteratorVector >
static void | apply (Box const &box, IteratorVector const &input, std::size_t level, std::size_t min_elements, Policy &policy, VisitBoxPolicy &box_policy)

### template<int Dimension, typename Box, typename OverlapsPolicy, typename ExpandPolicy, typename VisitBoxPolicy>
class boost::geometry::detail::partition::partition_one_range< Dimension, Box, OverlapsPolicy, ExpandPolicy, VisitBoxPolicy >

## Member Function Documentation

template<int Dimension, typename Box , typename OverlapsPolicy , typename ExpandPolicy , typename VisitBoxPolicy >
template<typename Policy , typename IteratorVector >

static void boost::geometry::detail::partition::partition_one_range< Dimension, Box, OverlapsPolicy, ExpandPolicy, VisitBoxPolicy >::apply | ( | Box const & | box,
|  | IteratorVector const & | input,
|  | std::size_t | level,
|  | std::size_t | min_elements,
|  | Policy & | policy,
|  | VisitBoxPolicy & | box_policy
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK